Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflows
/
sync
/
export
Error
A valid request URL is required to generate request examples
{
  "commit": {
    "sha": "<string>",
    "ref": "<string>",
    "base_ref": "<string>",
    "pr_url": "<string>",
    "pr_number": 123,
    "pr_reused": false,
    "message": ""
  },
  "files": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request to commit selected workspace resources to a Git branch.

message
string
required

Commit message for the export.

Minimum string length: 1
branch
string
required

Target branch to commit to.

create_pr
boolean
default:false

Whether to open a pull request for the commit.

pr_base_branch
string | null

Base branch for the pull request, if created.

resources
ResourceRef · object[] | null

Specific resources to export, or None to export all.

include_schedules
boolean
default:false

Whether to include workflow schedules in the export.

Response

Successful Response

Outcome of a workspace export: the commit made and files written.

commit
CommitInfo · object
required

Metadata for the commit that was created.

files
string[]
required

Repository-relative paths written by the export.